# Uses of Class
org.eclipse.jdt.core.dom.Pattern

Packages that use Pattern
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of Pattern in org.eclipse.jdt.core.dom

Subclasses of Pattern in org.eclipse.jdt.core.dom
Modifier and Type
Class
Description
`class`
`GuardedPattern`
GuardedPattern pattern AST node type.
`class`
`NullPattern`
Null Pattern node.
`class`
`RecordPattern`
TypePattern pattern AST node type.
`class`
`TypePattern`
TypePattern pattern AST node type.
Methods in org.eclipse.jdt.core.dom that return Pattern
Modifier and Type
Method
Description
`Pattern`
GuardedPattern.`getPattern()`
Returns the pattern of this Guarded Pattern, or `empty` if there is none.
Methods in org.eclipse.jdt.core.dom that return types with arguments of type Pattern
Modifier and Type
Method
Description
`List<Pattern>`
RecordPattern.`patterns()`
Returns the nested Pattern list.
Methods in org.eclipse.jdt.core.dom with parameters of type Pattern
Modifier and Type
Method
Description
`void`
GuardedPattern.`setPattern(Pattern pattern)`
Sets the pattern of this switch case.